Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] testing/biblesync: new aport

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Tue, 31 Mar 2015 22:57:08 -0700

biblesync was the navigation/IPC part of Xiphos, but has now been split
off into a public library.
---
I sent this to the alpine-devel list by accident; resending.
 testing/biblesync/APKBUILD | 51 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)
 create mode 100644 testing/biblesync/APKBUILD
diff --git a/testing/biblesync/APKBUILD b/testing/biblesync/APKBUILD
new file mode 100644
index 0000000..1da9d3f
--- /dev/null
+++ b/testing/biblesync/APKBUILD
_at_@ -0,0 +1,51 @@
+# Contributor: Isaac Dunham <ibid.ag_at_gmail.com>
+# Maintainer: Isaac Dunham <ibid.ag_at_gmail.com>
+pkgname=biblesync
+pkgver=1.1.2
+pkgrel=0
+pkgdesc="Library for multicasting Bible navigation used by Xiphos"
+url="sf.net/p/gnomesword"
+arch="all"
+license="Public domain"
+depends=""
+depends_dev="util-linux-dev"
+makedepends="cmake $depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/project/gnomesword/BibleSync/$pkgver/biblesync-$pkgver.tar.gz"
+
+_builddir="$srcdir"/biblesync-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	cmake \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DCMAKE_INSTALL_LIBDIR=lib \
+		-DBUILD_SHARED_LIBS=True \
+		-DCMAKE_BUILD_TYPE=Release \
+		-DCMAKE_CXX_COMPILER="${CXX:-g++}" \
+		-DCMAKE_CXX_FLAGS="$CXXFLAGS" \
+		|| return 1
+#		--build=$CBUILD 
+#		--host=$CHOST 
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="25bc063de3da2fc087954c746714f735  biblesync-1.1.2.tar.gz"
+sha256sums="886e1ac165b8900254c00a182fa34e3680ef3aa25051418470f15ea09ac02005  biblesync-1.1.2.tar.gz"
+sha512sums="7725c8228e2dff79edaf065ff4d4816a6cf214d1d874817345cc4154142144bce479ca1ae871053886bff4f6610715a27bce81c25c2a636444d5873e93bfdc62  biblesync-1.1.2.tar.gz"
-- 
2.3.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Mar 31 2015 - 22:57:08 GMT